Subject: [netlmm] RE: My comments on the NetLMM protocol draft

From: "Kent Leung \(kleung\)" <[email-masked]>
Date: Mon, 26 Jun 2006 11:13:34 -0700

Hi Julien.

I should clarify what I meant is that what's relevant to our draft is specifying that the NetLMM message carries the LMA prefix for the MAG to use for RA.  As for the specifics of operation of RA, such as sending periodic, should be referenced to RFC 2461.  That's my opinion at least.

Kent 

> -----Original Message-----
> From: Julien Laganier [mailto:[email-masked]] 
> Sent: Monday, June 26, 2006 7:36 AM
> To: [email-masked]
> Cc: Kent Leung (kleung)
> Subject: My comments on the NetLMM protocol draft
> 
> Hi Kent,
> 
> Overall I think the draft is in very good shape for a -00. 
> I've however one comments reacting to what you said:
> 
> On Monday 26 June 2006 10:34, Kent Leung (kleung) wrote:
> > > Q2:
> > > I am wondering whether MAG will send RA with LMA prefix in the 
> > > prefix option periodically?
> >
> > The MN-AR/MAG interface should follow RFC 2461.  I don't 
> think we need 
> > to specify anything in this draft.
> 
> Actually that is mentioned in multiple places, notably Section 4. 
> Protocol Overview:
> 
> 	The LMA responds to the message with a a Location 
> 	Registration Ack message that includes the NetLMM
> 	prefix that the MAG is to use in its router advertisement
> 	toward the Mobile Node.  The MAG in turn sends a router 
> 	advertisement to the attached mobile.
> 
> (...)
> 	The new MAG acknowledges this information with a
> 	Routing Setup Ack message and the LMA responds with a Location
> 	Registration Ack message containing the NetLMM prefix that 
> 	the nMAG uses in the router advertisement for the MN.
> 
> And then in corresponding specifications in Sections 5.4., 
> 5.6. and 8.1.3.3. 
> 
> I suggest to replace the text there by what you said:
> 
>      The MN-AR/MAG interface should be conformant to [RFC2461].
> 
> IMO, the only place where we need to specify explicitly how 
> to handle Neighbor Discovery between MN and MAG is Section 
> 8.1.3.4. because it needs to support DAD when SEND is enabled 
> (which in turns probably requires tunneling of the DAD-NS to 
> the MAG where the duplicates
> occurs.)
> 
> Best,
> 
> --julien
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm